- Main Page
- Data Structures
- Files
- Directories

- Search for |

- File List
- Globals

# setpageattributes.c File Reference

`#include <vmm/vmm.h>`
`#include <ubixos/kpanic.h>`

Include dependency graph for setpageattributes.c:

Go to the source code of this file.

## Functions
int | vmm_setPageAttributes (uInt32 memAddr, uInt16 attributes)

## Function Documentation

int vmm_setPageAttributes | ( | uInt32 | memAddr,
|  | uInt16 | attributes |
| ) |  |  |

Definition at line 41 of file setpageattributes.c.

References kpanic(), tablesBaseAddress, and x1000.

Referenced by elf_loadfile(), execFile(), sys_exec(), and sysExec().

Here is the call graph for this function: